Certificate ID

Summary

This endpoint takes a certificate ID as input and returns success if there is a valid certificate with the corresponding ID.

The body of a successful response contains the certificate ID, valid from and to dates, miner name, miner (Bitcoin) address, and miner country.

Restrictions and Assumptions

If the certificate ID is correct but it is outside the start date and end date of the certificate then the response will be negative.


Endpoint

Certificate Info By Id

get
Authorizations
X-API-KeystringRequired
Path parameters
certificate_idstringRequiredExample: BTC-CL-12345678
Responses
chevron-right
200

Successful Response

application/json
certificate_idstringRequiredExample: BTC-CL-12345678
valid_fromstring · date-timeRequiredExample: 2024-01-15T12:30:00Z
valid_untilstring · date-timeRequiredExample: 2024-07-15T14:30:00Z
miner_namestringRequiredExample: GreenTech Mining Co.
miner_addressstringRequiredExample: bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh
miner_locationstringRequiredExample: US
get
/v1/certificates/{certificate_id}

Last updated